/*
 Theme Name:   Association RCNA Child
 Theme URI:    http://example.com/twenty-fifteen-child/
 Description:  Association child theme with RCNA tweaks
 Author:       Jeffrey Russom
 Author URI:   http://example.com
 Template:     association
 Version:      1.0.0
 License:      GNU General Public License v2 or later
 License URI:  http://www.gnu.org/licenses/gpl-2.0.html
 Tags:         light, dark, two-columns, right-sidebar, responsive-layout, accessibility-ready
 Text Domain:  associationchild
*/

/* BEGIN: Override of Association */
.entry ol li {
  list-style: outside decimal;
}

.entry ol {
  padding-inline-start: 40px;
}

.Contacts td:last-child {
  /* TODO: replace with flexbox */
  width: 140px;
}

/* Inline links */
p > a, .inlinelink {
  color: #0f73ad;
}

p > a:hover, .inlinelink:hover {
  color: #3498db;
}

/* table styling */
table {
  background: none;
  border: none;
  width: 100%;
  border-collapse: collapse;
  margin: 26px 0 !important;
}

table .su-spoiler {
  margin: 0;
}

table .su-spoiler-title {
  font-size: 16px;
}

table tr {
  border-bottom: 1px dashed rgba(153, 153, 153, 0.3);
}

table td {
  vertical-align: middle;
  border: none;
  padding: 8px;
}

table td:last-child {
  max-width: 300px;
}

table td .mainbutton {
  margin-top: 0;
}

table td, dd {
  line-height: 1.5 !important;
}

table th {
  font-family: Poppins;
  line-height: 24px !important;
  font-weight: 600;
  font-style: normal;
  color: #222;
  font-size: 19px;
  text-transform: uppercase;
}

.entry table td, dd {
  padding: 6px 0;
}

.entry table td, .entry dd, .entry table th, .entry dt {
  padding: 8px 16px;
}

.entry table td:first-child, .entry dd:first-child, .entry table th:first-child, .entry dt:first-child {
  padding-left: 0;
}

.entry table td:last-child, .entry dd:last-child, .entry table th:last-child, .entry dt:last-child {
  padding-right: 0;
}


/* END Override of Associatino */

/* BEGIN Overrides misc */
.foocol .mc4wp-form .half {
  padding-left: 0;
}

/* BEGIN Override MC4wp */
body:not(.home) .mc4wp-form-fields .fl {
  display: none;
}

body:not(.home) .mc4wp-form-fields .fr {
  width: 100%;
  padding-left: 0;
  padding-right: 0;
}
/* END Override MC4wp */

/* BEGIN Overrides wpcf7 */
/* fixes padding issue on contact forms */
.wpcf7-radio {
  padding: 5px;
}

/* Override tiny-ass font */
.wpcf7-form p {
  font-size: 16px;
}

.wpcf7-form p input, .wpcf7-form p textarea  {
  font-size: 16px !important;
}

.wpcf7-form p input[type="checkbox"] {
  width: initial;
}

.wpcf7-checkbox .wpcf7-list-item-label {
  /* font-style: normal; */
  margin-left: 10px;
}

span.wpcf7-list-item {
  display: flex;
  margin-left: 0;
  padding: 5px 0;
}

.wpcf7-submit.wpcf7-submit {
  /* text-transform: uppercase; */
  height: 50px;
  /* font-size: 13px !important; */
  /* font-weight: bold !important; */
  /* font-family: Poppins; */
}


/* END Overrides wpcf7 */
/* END Overrides misc */

.Responsibilities__list {
  list-style: inside circle;
  list-style-position: outside;
  line-height: 2;
  padding: 0 !important;
  margin: 0 !important;
}

.Officers__name-open {
  font-weight: 600;
}

.Officers__responsibilities-undefined {
  padding: 17px 0 17px 16px !important;
}

.Officers td, .Officers th {
  width: 33.33%;
}

.Officers__name-open {
  font-weight: 600;
}

.mainbutton {
  display: block;
	line-height:1;
  padding:15px 15px 14px 15px;
  border:none !important;
  text-align: center;
	text-shadow:none;
	overflow:hidden;
	display:block;
  cursor:pointer;
  font-size:12px !important;
  text-transform:uppercase;
  background-color: #f48460;
  color: white;
}

.VendorPayments .mainbutton {
  float: right;
}

.Address {
  margin-left: 20px;
}

.HomePageAddress {
  font-style: normal;
}

.BoardMeetings td {
  line-height: 3.8 !important;
}

.MembershipBuyNow {
  min-width: 200px;
  background-color: #f48460;
  color: #fff;
}

.MembershipBuyNow span {
  padding: 0 !important;
  line-height: 50px !important;
}

.MembershipButtons {
  display: flex;
  justify-content: space-evenly;
  flex-wrap: wrap;
  padding: 10px 0;
}

/** Mobile styles **/
@media only screen and (max-width: 655px) {
.home .mc4wp-form-fields .half {
  width: 100%;
}

.home .mc4wp-form-fields .fr {
  padding-right: 0;
}

.sep-page .sep-detail {
  /* fixes bug in mobile view for Association template */
  margin-top: 20px !important;
}

.MCSliderCTA {
  display: flex;
}

.MCSliderCTA a:last-child {
  flex-grow: 1;
  margin-right: 0;
}

.NewsletterSignup__promise {
  display: none;
}

.Officers th:last-child, .Officers td:last-child{
  /* don't display responsibilities on mobile */
  display: none;
}

.MembershipBuyNow {
  min-width: 100%;
  margin: 10px 0;
}

.MembershipButtons {
  padding: 0;
}

input[type='submit'] {
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
}
}